# Finalize the upload process for a file

Finalizes the upload of a file after all chunks have been uploaded. Requires the metadata returned during the creation of the upload URL that identifies the current upload session. When finalizing the upload process, the `action` configured during the creation of the upload URL is performed.

Endpoint: POST /api/v2.0/upload/finalize
Version: v2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    The context of the upload returned when creating the upload URL.

## Request fields (application/json-patch+json):

  - `upload_identifier` (string)
    The identifier of the upload session returned during the request for the upload URL.

  - `storage_identifier` (string)
    The identifier of the upload storage returned during the request for the upload URL.

  - `file_identifier` (string)
    The file identifier returned during the request for the upload URL.

## Response 200:

  - `200` (unknown)
    Upload finalized successfully

## Response 400:

  - `400` (unknown)
    Request not valid

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 403:

  - `403` (unknown)
    Upload has expired or user not authorized

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404:

  - `404` (unknown)
    Upload job not found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    An internal server error occurred

